<template>
  <div class="top-div">
    <div class="center" v-html="$t('social.title')"></div>
    <div class="flex-centering">
      <a :href="$t(`socialurls.instagram`)" class="instagram-link"></a>
      <a :href="$t(`socialurls.twitter`)" class="twitter-link"></a>
      <a :href="$t(`socialurls.facebook`)" class="facebook-link"></a>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Social'
}
</script>

<style lang="scss" scoped>
.top-div {
  border: solid 1px lightgrey;
  width: 100%;
  margin-top: 50px;
  margin-bottom: 60px;
  height: 260px;
}
.flex-centering {
  display: flex;
  justify-content: center;
  align-items: center;
}

.center {
  margin: 46px 0 20px 0;
  justify-content: center;
  align-items: center;
  display: flex;
  font-family: Arial;
  font-size: 18px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.5;
  letter-spacing: normal;
  text-align: center;
  color: #000;
}

.facebook-link {
  background: url('../../assets/images/facebook.svg');
  background-repeat: no-repeat;
  height: 60px;
  width: 60px;
  margin: auto 7px;
  background-size: contain;
}

.twitter-link {
  background: url('../../assets/images/twitter.svg');
  background-repeat: no-repeat;
  height: 60px;
  width: 60px;
  margin: auto 7px;
  background-size: contain;
}

.instagram-link {
  background: url('../../assets/images/instagram.svg');
  background-repeat: no-repeat;
  height: 60px;
  width: 60px;
  margin: auto 7px;
  background-size: contain;
}

@media (max-width: 768px) {
  .center {
    margin: 36px 3% 20px 3%;
  }
}
</style>
